# Longitudinal Connectomes Analysis

This repository contains supporting code for the following manuscript
> Óscar Peña-Nogales, Timothy M. Ellmore, Rodrigo de Luis-García, Jessika Suescun, Mya C. Schiess and Luca Giancardo. Longitudinal Connectomes as a Candidate Progression Marker for Prodromal Parkinson's Disease. Frontiers in Neuroscience 12, 1–13 (2019).
https://doi.org/10.3389/fnins.2018.00967

__Background and Goal__

Parkinson's disease is the second most prevalent neurodegenerative disorder in the Western world. It is estimated that the neuronal loss related to Parkinson’s disease precedes the clinical diagnosis by more than 10 years (prodromal phase) which leads to a subtle decline that translates into non-specific clinical signs and symptoms. By leveraging diffusion magnetic resonance imaging brain (MRI) data evaluated longitudinally, at least at two different time points, we have the opportunity of detecting and measuring brain changes early on in the neurodegenerative process, thereby allowing early detection and monitoring that can enable development and testing of disease modifying therapies.

__Data Analysis (Task and Dataset)__

In this work, we aim to identify and quantify a longitudinal degenerative Parkinson's disease pattern from the diffusion magnetic resonance imaging connectivity information that can be found in a de novo early Parkinson's disease cohort (n=21) and in a cohort at high risk of being in the Parkinson's disease prodromal phase (n=16) that was not present in cohort matched Controls (n=30). This progression pattern was numerically quantified with a longitudinal brain connectome progression score. This score is generated by an interpretable machine learning algorithm trained, with cross-validation, on the longitudinal connectivity information of Parkinson's disease and Control groups computed on a nigrostriatal pathway-specific parcellation atlas. 

Data used in the preparation of this article were obtained from the Parkinson’s Progression Markers Initiative (PPMI) database (www.ppmi-info.org/data); for up to date information on the study, visit www.ppmi-info.org.

__Results__

Experiments indicated that the longitudinal brain connectome progression score was able to discriminate between the progression of Parkinson’s disease and Control groups with an area under the receiver operating curve of 0.89 [confidence interval (CI): 0.81–0.96] and discriminate the progression of the High Risk Prodromal and Control groups with an area under the curve of 0.76 [CI: 0.66–0.92].

__Conclusions__

Results suggest that it is possible to quantify neurodegenerative patterns of progression in the prodromal phase with longitudinal diffusion magnetic resonance imaging connectivity data and use these image-based patterns as progression markers for neurodegeneration.

# View and Run Data Analysis Code

## No installation
The data analysis can be viewed directly at the following addresss: 
[longitudinal-connectomes-analysis.md](longitudinal-connectomes-analysis/longitudinal-connectomes-analysis.md)


## Installation
This code has been tested with Python 2.7 and conda/pip 

```
git clone https://gitlab.com/bmi6319/examples/pd-longitudinal-connectome
cd PD-Longitudinal-Connectome
```
Optionally, create a (conda) virtual environment and activate it
```
conda create -n pd-long-env python=2.7 

conda activate pd-long-env
```

and finally, install the required dependencies
```
pip install -r requirements.txt
```


## Run
Activate your environment
```
conda activate pd-long-env
```

Run the jupyter notebook server  
```
jupyter notebook
```
and open longitudinal-connectomes-analysis.ipynb


# Parkinson’s Progression Markers Initiative (PPMI)

Data used in the preparation of this article were obtained from the Parkinson’s Progression Markers Initiative (PPMI) database (www.ppmi-info.org/data); for up to date information on the study, visit www.ppmi-info.org.

The Parkinson’s Progression Markers Initiative—a public-private partnership—is funded by the Michael J. Fox Foundation for Parkinson’s Research and funding partners including AbbVie, Avid, Biogen, BioLegend Bristol-Myers Squibb, GE Healthcare, Genentech, GlaxoSmithKline, Lilly, Lundbeck, Merck, Meso Scale Discovery, Pfizer, Piramal, Roche, Sanofi Genzyme, Servier, Takeda, Teva, UCB, and Golub Capital
~                                                                                                                                        



## Other information
This code is free to use for any non-commercial purposes, provided that the original publication is cited. 

We refer to the original publication for additional infomation and acknowledgements.

